[node-patches] Change in ovirt-node[master]: Makefile for checks added
fabiand at fedoraproject.org
fabiand at fedoraproject.org
Tue Dec 11 20:09:31 UTC 2012
Fabian Deutsch has uploaded a new change for review.
Change subject: Makefile for checks added
......................................................................
Makefile for checks added
Change-Id: I8a19d60a459697fb336dddd35cf38e8c8a199dea
Signed-off-by: Fabian Deutsch <fabiand at fedoraproject.org>
---
A scripts/tui/src/Makefile
1 file changed, 40 insertions(+), 0 deletions(-)
git pull ssh://gerrit.ovirt.org:29418/ovirt-node refs/changes/64/9864/1
diff --git a/scripts/tui/src/Makefile b/scripts/tui/src/Makefile
new file mode 100644
index 0000000..17262af
--- /dev/null
+++ b/scripts/tui/src/Makefile
@@ -0,0 +1,40 @@
+
+PYTHONSOURCES=$(shell find . -name \*.py -not -path */hacks.py)
+XMLSOURCES=$(shell find . -name \*.xml -or -name \*.xsl)
+CLEANFILES=$(shell find . -name \*.pyc -o -name \*.pyo -o -name \*~)
+
+check-local: doctests pep8 pyflakes pylint
+ @echo -e "---\n Passed.\n---"
+
+doctests:
+ @for M in $(PYTHONSOURCES); \
+ do \
+ echo Doctest on "$$M"; \
+ PYTHONPATH=. python -m doctest $$M || exit 1; \
+ done
+
+pep8:
+ @for M in $(PYTHONSOURCES); \
+ do \
+ echo pep8 on "$$M"; \
+ PYTHONPATH=. pep8 -r $$M || exit 1; \
+ done
+
+PYLINT=pylint -f parseable --include-ids=yes --rcfile=.pylintrc
+pylint:
+ @for M in $(PYTHONSOURCES); \
+ do \
+ echo pylint on "$$M"; \
+ PYTHONPATH=. $(PYLINT) $$M || exit 1; \
+ done
+
+pyflakes:
+ @for M in $(PYTHONSOURCES); \
+ do \
+ echo pyflakes on "$$M"; \
+ PYTHONPATH=. pyflakes $$M || exit 1; \
+ done
+
+clean:
+ echo $(CLEANFILES)
+ rm $(CLEANFILES)
--
To view, visit http://gerrit.ovirt.org/9864
To unsubscribe, visit http://gerrit.ovirt.org/settings
Gerrit-MessageType: newchange
Gerrit-Change-Id: I8a19d60a459697fb336dddd35cf38e8c8a199dea
Gerrit-PatchSet: 1
Gerrit-Project: ovirt-node
Gerrit-Branch: master
Gerrit-Owner: Fabian Deutsch <fabiand at fedoraproject.org>
More information about the node-patches
mailing list